# general info
NAME="matt"
DESC="The (new) MatterLinux package manager"
VERSION="24.02"

# required files
FILES=(
  "https://git.matterlinux.xyz/Matter/matt/archive/${VERSION%m*}.tar.gz"
  "config.ini"
)
HASHES=(
  "5212f5787c6ffe9f5dfb462c324df26d59175c4d4c6bd37cd0e6c1526228cc69"
  "1d916fe98811f11fe1f20aea78c29b3fdb37c08d3c5428dfdb774bd9953d3176"
)
KEEP=("etc/matt/config.ini")

# install and build depends
DEPENDS=("libmp" "libinih" "gettext")
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION%m*}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/bin"
  install -Ddm755 "${ROOTDIR}/etc/matt"

  make DESTDIR="${ROOTDIR}" install
  install -m644 "${ROOTDIR}/config.ini" "${ROOTDIR}/etc/matt/config.ini"

  cd .. && rm -r "${NAME}"
}
